DKPDoor Knock Pro Docs
Leads

List leads

GET
/v1/leads

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Query Parameters

per_pageinteger
Default: 50Minimum: 1Maximum: 200
pageinteger
Default: 1Minimum: 1
team_idinteger
status_idinteger
updated_sincestring
Format: "date-time"
qstring
Maximum length: 120
includestring

Comma-separated list. Allowed: status, assignedTo, team

curl -X GET "https://app.doorknockpro.com/api/v1/leads?per_page=50&page=1&team_id=0&status_id=0&updated_since=2019-08-24T14%3A15%3A22Z&q=%3Cstring%3E&include=%3Cstring%3E" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

Paginated leads

{
  "links": {
    "first": "string",
    "last": "string",
    "prev": "string",
    "next": "string"
  },
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  },
  "data": [
    {
      "id": 0,
      "name": "string",
      "email": "string",
      "phone": "string",
      "alter_email": "string",
      "alter_phone": "string",
      "notes": "string",
      "property_type_id": 0,
      "team_id": 0,
      "created_by": 0,
      "lead_status_id": 0,
      "appointment": "2019-08-24T14:15:22Z",
      "related_assets": [
        "string"
      ],
      "address": {
        "house": "string",
        "street": "string",
        "city": "string",
        "state_province": "string",
        "country": "string",
        "zip_code": "string"
      },
      "location": {
        "lat": 0,
        "lng": 0
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}